Subject: Re: bug#43389: 28.0.50; Emacs memory leaks

From: [email-masked]
Date: Sun, 20 Sep 2020 20:08:17 +0000

Maybe I spoke a little too soon. I just saw two related bug reports and thought I would connect them. Ludo actually closed the bug in Guix System.  He confirmed that for him, helm seemed to be the problem.  

September 18, 2020 4:12 AM, "Eli Zaretskii" <[email-masked]> wrote:

>> From: Robert Pluim <[email-masked]>
>> Cc: Joshua Branson <[email-masked]>, [email-masked]
>> Date: Fri, 18 Sep 2020 09:53:59 +0200
>> 
>> Eli> But if it's due to helm, why doesn't the huge memory usage show in the
>> Eli> report produced by GC? That report should show all the Lisp object
>> Eli> that we allocate and manage, no? Where does helm-ff-cache keeps those
>> Eli> "candidates"? (And what is this cache, if someone could be kind
>> Eli> enough to describe it?)
>> 
>> Itʼs a hash table. It caches directory contents, as far as I can tell.
> 
> Then its memory usage should be part of the GC report, no?
> 
> I guess, if this helm feature is really the culprit, then the growth
> of memory footprint is not due to the hash-table itself, but to
> something else, which is not a Lisp object and gets allocated via
> direct calls to malloc or something?